# Module `BackHandler`

Component to handle back key (android, backspace)

## Functions

init(self, callback[, params]) | Component init function
on_input(self, action_id, action) | Input handler for component

## Fields

on_back | On back handler callback(self, params)
params | Params to back callback

## Functions

init(self, callback[, params])
  Component init function

  ### Parameters:

  - self BackHandler BackHandler
  - callback callback On back button
  - params any Callback argument (optional)
on_input(self, action_id, action)
  Input handler for component

  ### Parameters:

  - self BackHandler BackHandler
  - action_id string on_input action id
  - action table on_input action

## Fields

on_back
  On back handler callback(self, params)
  - on_back DruidEvent DruidEvent
params
  Params to back callback
  - params any

generated by LDoc TESTING Last updated 2015-01-01 12:00:00